Retrieve a workflow product
curl --request GET \
--url https://api.geekidea.ai/v1/workflows/{author}/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/workflows/{author}/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/workflows/{author}/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "geekidea/drama-episode",
"object": "workflow",
"name": "Short drama episode",
"description": "<string>",
"version": 1,
"start_path": "/v1/dramas",
"steps": [
{
"key": "storyboard",
"type": "ai",
"depends_on": [
"assets"
],
"confirm": true,
"fee_units": [
"episode"
]
}
],
"fee_price_version": 1,
"fees": [
{
"step": "clips",
"spec": "<string>",
"unit": "second",
"unit_price_usd": 0.025
}
],
"currency": "USD"
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Workflows
Retrieve a workflow product
Returns the steps and fee prices of a workflow product by ID, for example geekidea/drama-episode. Works without an API key for public workflows.
GET
/
v1
/
workflows
/
{author}
/
{slug}
Retrieve a workflow product
curl --request GET \
--url https://api.geekidea.ai/v1/workflows/{author}/{slug} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.geekidea.ai/v1/workflows/{author}/{slug}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.geekidea.ai/v1/workflows/{author}/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "geekidea/drama-episode",
"object": "workflow",
"name": "Short drama episode",
"description": "<string>",
"version": 1,
"start_path": "/v1/dramas",
"steps": [
{
"key": "storyboard",
"type": "ai",
"depends_on": [
"assets"
],
"confirm": true,
"fee_units": [
"episode"
]
}
],
"fee_price_version": 1,
"fees": [
{
"step": "clips",
"spec": "<string>",
"unit": "second",
"unit_price_usd": 0.025
}
],
"currency": "USD"
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}{
"error": {
"message": "The model does not exist or you do not have access to it.",
"type": "not_found_error",
"param": "model",
"code": "model_not_found",
"retryable": false,
"errors": [
{
"param": "messages",
"code": "missing_parameter",
"message": "<string>"
}
]
}
}Authorizations
Provide your API key in the Authorization header using Bearer auth
Path Parameters
First part of the workflow ID (publisher), for example geekidea
Second part of the workflow ID, for example drama-episode
Response
OK
Workflow product
Workflow ID
Example:
"geekidea/drama-episode"
Object type, always workflow
Example:
"workflow"
Name
Example:
"Short drama episode"
Description
Definition version
Example:
1
Path of the start endpoint
Example:
"/v1/dramas"
Steps
Show child attributes
Show child attributes
Version of the fee prices
Example:
1
Fee prices
Show child attributes
Show child attributes
Currency
Example:
"USD"
